--- title: "Gets the user sessions of a particular user by userId" slug: "gets-the-user-sessions-of-a-particular-user-by-userid" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/gets-the-user-sessions-of-a-particular-user-by-userid" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Gets the user sessions of a particular user by userId Get/api/v1/users/{userId}/sessions SecurityHTTPType bearer Path parametersuserIdstringRequired The ID of the user Query parametersipaddressstring activeSinceFromstring activeSinceTostring sortarray of string Responses200 OK Expand Allobject authorizationboolean dataobject sessions Array of object object error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean